#include <stdio.h>
int main(){
	int n;
	scanf("%d",&n);
	int i,a[n],j;
	double p[n];
	for(i=0;i<n;i++)
		scanf("%d%lf",&a[i],&p[i]);
	double porez, zarada,por,z=0;
	zarada=p[0]*a[0]/100;
	i=0;
	while(i<n){
		por=p[i];
		z=0;
		for(j=0;j<n;j++){
			if(p[j]>=por)
				z=z+por*a[j]/100;
		}
		if(z>zarada)
			zarada=z;
		i++;
	}
	printf("%lf",zarada);
	return 0;
}